Description

The fields in json serializations produced by the TermBaseBeanProcessor can be reduced.
here an example of the current situation:
"kindOfUnit": {

"uri": "",

"class": "DefinedTerm",

"updated": "2019-02-05T17:23:15.000+01:00",
"created": "2019-02-05T17:23:15.000+01:00",
"protectedTitleCache": false,

"uuid": "87adcd8d-ce69-4dl16-ac35-4e77£fb698e00",
"termType": "KindOfUnit",

"titleCache": "Unpublished image",
"representation_L10n": "Unpublished image",
"representation_L10n_abbreviatedLabel": "",
"representation_L10n_languageIso": "eng",

"representation_L10n_languageUuid": "e9f8cdb7-6819-44e8-95d3-e2d0690c3523"

the following fields are to be excluded in TermBaseBeanProcessor:

updated

created

protectedTitleCache

titteCache (not needed since only the *_L10n should be used by clients)

uri (should be retrieved via a separate request to the term service if needed)

Related issues:
Related to EDIT - task #9252: Harmonize SpecimenOrOberservationBase related DTOs
Associated revisions

Revision 3ae4f12f - 10/19/2020 09:55 AM - Andreas Kohlbecker

fix #9259 reducing fields in TermBase json serializations

Revision 3¢3d7701 - 10/20/2020 11:30 AM - Andreas Kohlbecker

ref #9259 adapting dataportal to modified term serialization

Revision 098e4095 - 10/21/2020 02:13 PM - Andreas Kohlbecker
History

#1 - 10/19/2020 09:43 AM - Andreas Kohlbecker
- Status changed from New to In Progress

- Priority changed from New to Priority13

#2 - 10/19/2020 09:47 AM - Andreas Kohlbecker

- Description updated
#3 - 10/19/2020 09:48 AM - Andreas Kohlbecker
- Description updated

#4 - 10/19/2020 09:55 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|3ae4f12{20159b7e0ddb04c68f4bfc5fb17d5481.

#5 - 10/19/2020 09:56 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#6 - 10/21/2020 02:13 PM - Andreas Kohlbecker
- Related to task #9252: Harmonize SpecimenOrOberservationBase related DTOs added
